Loading...
Searching...
No Matches
receive.h File Reference
User-space driver API

Functions that decode IR codes. More...

`#include <stdint.h>`
`#include "ir_remote.h"`

Go to the source code of this file.

## Macros

#define | MIN_RECEIVE_TIMEOUT 100000
| Min value returned by receive_timeout.

## Functions

void | rec_set_update_mode (int mode)
| Set update mode, where recorded pre_data is verified to match the template pre_data.
void | rec_buffer_set_logfile (FILE *f)
| Set a file logging input from driver in same format as mode2(1).
int | waitfordata (uint32_t maxusec)
| If set_waitfordata(func) is called, invoke and return function set this way.
void | set_waitfordata_func (int(*func)(uint32_t maxusec))
| Set the function used by waitfordata().
void | rec_buffer_init (void)
| Clear internal buffer to pristine state.
int | rec_buffer_clear (void)
| Flush the internal fifo and store a single code read from the driver in it.
int | receive_decode (struct ir_remote *remote, struct decode_ctx_t *ctx)
| Decode data from remote.
void | rec_buffer_rewind (void)
| Reset the modules's internal fifo's read state to initial values where the nothing is read.
void | rec_buffer_reset_wptr (void)
| Reset internal fifo's write pointer.

## Detailed Description

Functions that decode IR codes.

Author
  Christoph Bartelmus

Definition in file receive.h.